commit: ba4d46417428070b3eddcc998d1fc82e18ac71d4
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 12 12:03:33 2018 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Mar 12 12:03:48 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba4d4641
net-misc/nx: Disable polling for nx libs.
Once again, big thanks to Ionic!
Package-Manager: Portage-2.3.24, Repoman-2.3.6
net-misc/nx/nx-3.5.99.15.ebuild | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/net-misc/nx/nx-3.5.99.15.ebuild b/net-misc/nx/nx-3.5.99.15.ebuild
index bbb4663dc60..75aa788486f 100644
--- a/net-misc/nx/nx-3.5.99.15.ebuild
+++ b/net-misc/nx/nx-3.5.99.15.ebuild
@@ -36,7 +36,7 @@ src_prepare() {
# have quilt installed.
sed 's@which quilt@false@' -i mesa-quilt || die
- # run autoreconf in all neeed folders
+ # run autoreconf in all needed folders
for i in nxcomp nx-X11/lib nxcompshad nxproxy ; do
pushd ${i} || die
eautoreconf
@@ -57,11 +57,15 @@ src_prepare() {
}
src_configure() {
- for i in nxcomp nx-X11/lib nxcompshad nxproxy ; do
+ for i in nxcomp nxcompshad nxproxy ; do
pushd ${i} || die
econf
popd || die
done
+
+ pushd "nx-X11/lib" || die
+ econf --disable-poll
+ popd || die
}
src_compile() {